	

RotationEvent2 = {};
RotationEvent2_mt = Class(RotationEvent2, Event);

InitEventClass(RotationEvent2, "RotationEvent2");

function RotationEvent2:emptyNew() 
    local self = Event:new(RotationEvent2_mt );
    self.className="RotationEvent2";
    return self;
end;

function RotationEvent2:new(vehicle, direction) 
    self.vehicle = vehicle;
    self.direction = direction;
    return self;
end;

function RotationEvent2:readStream(streamId, connection) 
    local id = streamReadInt32(streamId); 
    self.direction = streamReadBool(streamId); 
    self.vehicle = networkGetObject(id); 
    self:run(connection); 
end;

function RotationEvent2:writeStream(streamId, connection)   
    streamWriteInt32(streamId, networkGetObjectId(self.vehicle));
    streamWriteBool(streamId, self.direction );  
end;

function RotationEvent2:run(connection)  
    self.vehicle:setRotateDirection2(self.direction, true); 
	if not connection:getIsServer() then  
		g_server:broadcastEvent(RotationEvent2:new(self.vehicle, self.direction), nil, connection, self.object);
	end;
end;

function RotationEvent2.sendEvent(vehicle, direction, noEventSend)  
	if noEventSend == nil or noEventSend == false then
		if g_server ~= nil then   
			g_server:broadcastEvent(RotationEvent2:new(vehicle, direction), nil, nil, vehicle);
		else 
			g_client:getServerConnection():sendEvent(RotationEvent2:new(vehicle, direction));
		end;
	end;
end;